Liferay.Loader.define("frontend-js-components-web@1.0.22/treeview/TreeviewLabel", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = TreeviewLabel;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function TreeviewLabel(_ref) {
      var node = _ref.node;
      var inputId = "".concat(node.id, "-treeview-label-input");
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "lfr-treeview-label"
        }, /*#__PURE__*/_react.default.createElement("input", {
          checked: node.selected,
          className: "sr-only",
          id: inputId,
          onChange: function onChange() {// Let NodeListItem handle checked state.
          },
          type: "checkbox"
        }), /*#__PURE__*/_react.default.createElement("label", {
          className: node.selected ? 'font-weight-bold' : 'font-weight-normal',
          htmlFor: inputId,
          onClick: function onClick(event) {
            return event.preventDefault();
          }
        }, node.name))
      );
    }
    //# sourceMappingURL=TreeviewLabel.js.map
  }
});
//# sourceMappingURL=TreeviewLabel.js.map